Bug 1274965 - Crash on suspend
Crash on suspend
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-24 02:52 EDT by Berend De Schouwer
Modified: 2016-12-20 10:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:08:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backtrace (2.89 KB, text/plain)
2015-10-24 02:52 EDT, Berend De Schouwer
no flags Details
lines in journalctl showing abrt/systemd-syspend (1.81 KB, text/plain)
2015-10-24 02:54 EDT, Berend De Schouwer
no flags Details
dmesg (75.04 KB, text/plain)
2015-10-24 02:54 EDT, Berend De Schouwer
no flags Details
reason (111 bytes, text/plain)
2015-10-24 02:55 EDT, Berend De Schouwer
no flags Details
proc_modules (6.84 KB, text/plain)
2015-10-24 02:56 EDT, Berend De Schouwer
no flags Details

  None (edit)
Description Berend De Schouwer 2015-10-24 02:52:51 EDT
Created attachment 1086057 [details]
backtrace

Description of problem:

When suspending, there's a kernel oops.  The system doesn't finish suspending.  It looks like abrt tries to report the bug while systemd is running suspend.

At that point, a hard reset is required.


Version-Release number of selected component (if applicable):

According to abrt:
xorg-x11-drv-intel 2.99.917-16.20150729.fc23.x86_64
kernel 4.2.3.300.fc23.x86_64

There are likely two bugs:
1. the kernel oops
2. a race between abrt and systemd-suspend


How reproducible:

Every time I suspend


Steps to Reproduce:
1. Boot
2. Login
3. Suspend


Actual results:

System stops responding, but fans are spinning, power use is up.


Expected results:

An actual suspend


Additional info:

The kernel is the stock Fedora kernel, but it has been tainted, causing abrt to not report it.

It is the *stock* *fedora* kernel, so the stock fedora kernel is likely tainted.  I've verified with, eg. 'rpm -V kernel'

The tainted modules are: rtl8723be,btcoexist,rtl_pci,rtlwifi
The tainted flags are: GWOE

I'm adding some attachments from /var/spool/abrt/
Comment 1 Berend De Schouwer 2015-10-24 02:54 EDT
Created attachment 1086058 [details]
lines in journalctl showing abrt/systemd-syspend
Comment 2 Berend De Schouwer 2015-10-24 02:54 EDT
Created attachment 1086059 [details]
dmesg
Comment 3 Berend De Schouwer 2015-10-24 02:55 EDT
Created attachment 1086060 [details]
reason
Comment 4 Berend De Schouwer 2015-10-24 02:56 EDT
Created attachment 1086061 [details]
proc_modules
Comment 5 Fedora End Of Life 2016-11-24 07:53:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 10:08:27 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.